Subject: bug#5071: 23.1.50; emacs -eval '(y-or-n-p "zz")' assumes background color wrong

From: [email-masked]
Date: Sun, 29 Nov 2009 17:45:33 +0800

Gentlemen, consider when I do
$ emacs
M-x gnus
vs.
$ emacs -f gnus

In both cases I get the following error message,
nntp (news.gmane.org) open error: ''.  Continue? (y or n)
which is only natural, as I haven't plugged in to any network.

The problem is the color of the message. In the latter case,
part of emacs thinks the background colors in
http://jidanni.org/comp/configuration are already in place, and shows me
the message in an unreadable choice of foreground colors!

Indeed, do
$ emacs -eval '(y-or-n-p "zz")'
using my colors, and you can reproduce the problem.